summaryrefslogtreecommitdiffstats
path: root/libraries/physfs/physfs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/physfs/physfs.SlackBuild')
-rw-r--r--libraries/physfs/physfs.SlackBuild23
1 files changed, 12 insertions, 11 deletions
diff --git a/libraries/physfs/physfs.SlackBuild b/libraries/physfs/physfs.SlackBuild
index 890fa95fb3..c5e4a4ec8f 100644
--- a/libraries/physfs/physfs.SlackBuild
+++ b/libraries/physfs/physfs.SlackBuild
@@ -2,13 +2,15 @@
# Slackware build script for physfs
# Written by Erik Hanson erik@slackbuilds.org
+# Modified for version 1.1.1 by Heinz Wiesinger <hmwiesinger@gmx.at>
PRGNAM=physfs
-VERSION=1.0.1
+VERSION=1.1.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -28,23 +30,22 @@ cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- || exit 1
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr || exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a CHANGELOG CREDITS LICENSE TODO docs/README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.txt CREDITS.txt INSTALL.txt LICENSE.txt TODO.txt \
+ lzma/LZMA-LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install